#ifndef _COMPARE_H_
#define _COMPARE_H_

struct db_process {
	long oid;
	char * dir;
	struct db_inst *goal;
	long same_ps;
	struct db_process *next;
};

struct db_inst {
	long oid;
	char * dir;
	char * name;
	char dblcln;
	long same_inst;
	struct db_inst *next;
};

struct db_process * db_process_(long, const char*, struct db_process *);
void db_process_free(struct db_process *);
struct db_inst * db_inst_(long, const char *, const char *, int, struct db_inst *);
void db_inst_free (struct db_inst *);

#endif
