#ifndef _UTIL_H_
#define _UTIL_H_

extern void *xmalloc(unsigned int);
extern char *xstrdup(const char*);
extern char *xstrncpy(const char*, int);
extern char *xstr3cat(const char*, const char, const char*);
extern char *xtrim(const char * str);
extern char *get_input_string(const char *msg);

struct StackBucket {
	void * content;
        struct StackBucket * next;
};

struct Stack {
        int number;
        struct StackBucket * top;
};

extern struct Stack * Stack_();
extern void stack_push(struct Stack *, void *);
extern void *stack_pop(struct Stack *);
extern int stack_isempty(struct Stack *);
extern void stack_free(struct Stack *);

#endif
