#include "hash.h"


typedef struct Sub_Graph_ SubGraph_;
typedef struct Graph_Node_ GraphNode_;
typedef struct Graph_Edge_ GraphEdge_;

typedef enum {
	NT_DIR,
	NT_FILE
} NodeType_;

struct Graph_Node_ {
	NodeType_ type;
	char * name;

	char *filename;
	char isphony;
	char istarget;
	char isgoal;
	char isexecuted;
	char dblcln;
	char *layer;
	char isdup;
	char isdiff;
	
	GraphNode_ * next;
	GraphNode_ * children;
	GraphNode_ * same;
};

typedef enum {
	ET_INVOKE,
	ET_DEPENDON
} EdgeType_;

struct Graph_Edge_ {
	EdgeType_ type;
	GraphNode_ * target;
	GraphNode_ * source;

	GraphEdge_ * next;
};
